Subject: [PATCH 00/19] gnu: Add rust-arrow-47.

From: Troy Figiel <[email-masked]>
Date: Sun, 28 Jan 2024 11:51:20 +0100

This patch series adds rust-arrow-47 and its dependencies.

rust-arrow-47 is a dependency of rust-deltalake-0.16, which I am trying to
package. I decided to split off this patch series, since rust-deltalake-0.16
has many more dependencies and I did not want to blow up that patch series
unnecessarily.

rust-arrow-csv-47, rust-arrow-json-47 and rust-arrow-47 have some of their
tests skipped. The test fixtures can be found in the git repository at
https://github.com/apache/arrow-rs, but I have not found a simple/maintainable
way to add them. Any tips here would be highly appreciated.

Troy Figiel (19):
  gnu: Add rust-flatbuffers-23.
  gnu: rust-flatbuffers-2: Don't skip the build.
  gnu: Add rust-chrono-tz-build-0.2.
  gnu: Add rust-chrono-tz-0.8.
  gnu: Add rust-comfy-table-7.
  gnu: Add rust-arrow-schema-47.
  gnu: Add rust-arrow-buffer-47.
  gnu: Add rust-arrow-data-47.
  gnu: Add rust-arrow-array-47.
  gnu: Add rust-arrow-select-47.
  gnu: Add rust-arrow-string-47.
  gnu: Add rust-arrow-ord-47.
  gnu: Add rust-arrow-cast-47.
  gnu: Add rust-arrow-json-47.
  gnu: Add rust-arrow-csv-47.
  gnu: Add rust-arrow-row-47.
  gnu: Add rust-arrow-ipc-47.
  gnu: Add rust-arrow-arith-47.
  gnu: Add rust-arrow-47.

 gnu/packages/crates-io.scm | 633 +++++++++++++++++++++++++++++++++++--
 1 file changed, 606 insertions(+), 27 deletions(-)

base-commit: 049e5e43058e04fd4c6152938a31911f939df7ab
-- 
2.42.0